Bug 1304967 - Review Request: perl-Tie-Hash-Method - Tied hash with specific methods overridden by callbacks
Summary: Review Request: perl-Tie-Hash-Method - Tied hash with specific methods overri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1304705
TreeView+ depends on / blocked
 
Reported: 2016-02-05 07:14 UTC by Petr Pisar
Modified: 2016-02-21 16:26 UTC (History)
2 users (show)

Fixed In Version: perl-Tie-Hash-Method-0.02-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 02:21:12 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-02-05 07:14:57 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Tie-Hash-Method/perl-Tie-Hash-Method.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Tie-Hash-Method/perl-Tie-Hash-Method-0.02-1.fc24.src.rpm
Description:
Perl Tie::Hash::Method module provides a way to create a tied hash with
specific overridden behavior without having to create a new class to do it.
A tied hash with no methods overridden is functionally equivalent to a normal
hash.
Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-02-08 15:40:21 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Tie-Hash-Method-0.02-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(Data::Dumper)
      1 perl(Exporter)
      1 perl(base)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Tie-Hash-Method-0.02-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Tie::Hash::Method) = 0.02
      1 perl-Tie-Hash-Method = 0.02-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-Tie-Hash-Method*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved.

Comment 2 Gwyn Ciesla 2016-02-09 17:28:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Tie-Hash-Method

Comment 3 Petr Pisar 2016-02-10 09:54:14 UTC
Thank you for the review and the repository.

Comment 4 Fedora Update System 2016-02-10 16:43:16 UTC
perl-Tie-Hash-Method-0.02-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-484ed6038a

Comment 5 Fedora Update System 2016-02-10 16:44:34 UTC
perl-Tie-Hash-Method-0.02-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acbd5affee

Comment 6 Fedora Update System 2016-02-10 18:51:20 UTC
perl-Tie-Hash-Method-0.02-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbe71c51b8

Comment 7 Fedora Update System 2016-02-10 18:51:59 UTC
perl-Tie-Hash-Method-0.02-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cd786629a

Comment 8 Fedora Update System 2016-02-11 14:52:19 UTC
perl-Tie-Hash-Method-0.02-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cd786629a

Comment 9 Fedora Update System 2016-02-11 15:21:15 UTC
perl-Tie-Hash-Method-0.02-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbe71c51b8

Comment 10 Fedora Update System 2016-02-11 15:21:20 UTC
perl-Tie-Hash-Method-0.02-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-484ed6038a

Comment 11 Fedora Update System 2016-02-21 02:21:10 UTC
perl-Tie-Hash-Method-0.02-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-02-21 16:26:45 UTC
perl-Tie-Hash-Method-0.02-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.